Bug 518572 - blkid requires ext2.ko to be decompressed on installation media
blkid requires ext2.ko to be decompressed on installation media
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: util-linux-ng (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Karel Zak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-20 20:48 EDT by Allen Kistler
Modified: 2009-08-24 14:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-24 14:22:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Allen Kistler 2009-08-20 20:48:31 EDT
Description of problem:
Existing ext2 filesystems are detected as ext4 by anaconda during installation.  blkid detects ext2 as ext4, unless the ext.ko.gz kernel module is decompressed as ext2.ko.

Version-Release number of selected component (if applicable):
anaconda-12.16

How reproducible:
Always

Steps to Reproduce:
1. Have an existing system with ext2 filesystems
2. Boot to installation medium
3. Select Custom Layout to observe anaconda's storage detection
  
Actual results:
ext2 filesystems are detected as ext4
Completing the installation results in an fstab which lists all reused ext2
  filesystems as ext4 (which works, but isn't exactly correct)

Expected results:
ext2 filesystems are detected as ext2

Additional info:

anaconda relies on blkid to type filesystems
blkid relies on
  1. ext2 in /proc/filesystems, or
  2. ext2.ko in /lib/modules/`uname -r`/modules.dep

modules.dep on the installation media does not have ext2.ko, but does have ext2.ko.gz as "kernel/fs/ext2/ext2.ko.gz"

Switching to tty2 during initial anaconda startup and ...
1. decompressing ext2.ko.gz to ext2.ko
2. editing modules.dep to list the decompressed vs. compressed module
... results in the expected behavior from anaconda.

Furthermore,

In tty2 with ext2.ko.gz, blkid output is:
/dev/sda1: LABEL="/boot" UUID="af5b7530-8a07-4de6-8a8f-9baa670620e4" SEC_TYPE="ext2" TYPE="ext4"

In tty2 with ext2.ko (not compressed), blkid output is:
/dev/sda1: LABEL="/boot" UUID="af5b7530-8a07-4de6-8a8f-9baa670620e4" TYPE="ext2"

I see three choices, any one of which should work):
1. ext2.ko must not be compressed on installation media
2. blkid (or whatever tools it uses) must be able to deal with compressed ko's
3. anaconda must interpret SEC_TYPE="ext2" TYPE="ext4" blkid output as ext2
Comment 1 Chris Lumens 2009-08-21 11:03:11 EDT
If blkid is really going to require filesystem modules to detect this information, it'd be nice if it supported compressed modules too.  I believe all the modutils already support that format.
Comment 2 Allen Kistler 2009-08-21 18:04:06 EDT
> Who   When                      What    Removed  Added
> kzak  2009-08-21 14:18:05 EDT   Status  NEW      MODIFIED

So it's fixed?  What version?  I didn't see anything in koji yet.
Comment 3 Karel Zak 2009-08-21 19:19:22 EDT
Sorry, should be ASSIGNED. I'm going to fix it ASAP.
Comment 4 Karel Zak 2009-08-23 15:36:18 EDT
Should be fixed in util-linux-ng-2.16-7.fc12.
Comment 5 Allen Kistler 2009-08-24 14:22:57 EDT
Fix verified.  Closing.

Note You need to log in before you can comment on or make changes to this bug.